You can perform the following tasks using the transfers API:Documentation Index
Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
- Transfer money to your beneficiaries accounts through Sync, Async, Direct, and Batch APIs.
- Check the status of each transfer using the referenceId or transferId.

| Transfer sync | Transfer async | Direct transfer | Batch transfer | |
|---|---|---|---|---|
| Functionality | Initiate an amount transfer request | Initiate an amount transfer request | Initiate an amount transfer request directly to the beneficiary not added in your Payouts account (add beneficiary details in the API request) | Initiate amount transfer request to multiple beneficiaries |
| Sync / Async | Sync | Async | Async | Async |
| UTR / Cashfree Reference ID | Both UTR and Cashfree Reference ID | Cashfree Reference ID | Cashfree Reference ID | Cashfree Reference ID |
| Required Body Params | beneId \namount \ntransferId | beneId \namount \ntransferId | amount \ntransferId \ntransferMode \nbeneDetails | batchTransferId \nbatchFormat |
| Default Transfer Mode | Bank Transfer | Bank Transfer | Not Applicable | Not Applicable |
| Available Transfer Modes | Bank, UPI, Paytm, Amazon Pay, | Bank, UPI, Paytm, Amazon Pay, Card | Bank, UPI, Paytm, Amazon Pay, Card, IMPS, NEFT | Bank, UPI, Paytm, Amazon Pay |
| Response Time | 9.77 s | 25.0 ms | 9.04 s | 182 ms |
| Transactions Volume | Low | High: up to 1000 transactions per minute | High: up to 1000 transactions per minute | High: up to 1000 transactions per minute |
| API version 1.2 | API version 1 | Response time |
|---|---|---|
| Standard Transfer Sync V1.2 | Standard Transfer Sync | 9.77 s |
| Standard Transfer Async V1.2 | Standard Transfer Async | 25.0 ms |
| Direct Transfer V1.2 | Direct Transfer | 9.04 s |
| Get Transfer Status V1.2 | Get Transfer Status | 244 ms |
| Batch Transfer V1.2 | Batch Transfer | 182 ms |
| Get Batch Transfer Status V1.2 | Get Batch Transfer Status | 6.19 ms |
What does the response parameter ‘acknowledged’ mean?
The acknowledged parameter value conveys if the beneficiary received the funds by checking its value. Ack = 1 or 0 . 1 denotes the beneficiary received funds, and 0 denotes the beneficiary had not received funds. The cash flow happens as explained below:- Debit: The debit of the transfers happens on the remitter account. After a successful debit, the beneficiary bank does further processing. When only the debit is successful, Ack = 0.
- Credit: The beneficiary bank credits the fund to the account. The transfer is sent from the remitter bank to the beneficiary bank after a successful debit. When the credit to the end beneficiary is successful, Ack = 1.